﻿@model HOD.Models.PackageFeatureSelectionModel
@{
    ViewBag.Title = "RegisterPackage";
}

@{
    Layout = "~/Views/Shared/_DefaultLayout.cshtml"; 
}

@section featured {

    &nbsp;
}
<h2>Register Package</h2>

<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Package Selection Form</h3>
    </div>

    <div class="panel-body" style="background-color: #ffffff">
        <div class="table-responsive">


            @using (Html.BeginForm("RegisterPackage", "Account", FormMethod.Post, new Dictionary<string, object> { { "id", "package-form" }, { "enctype", "multipart/form-data" }, { "class", "form-horizontal" } }))
            {
                
                 @Html.AntiForgeryToken()
            @*@Html.ValidationSummary()*@

                <table class="table table-striped table-bordered table-condensed">
                    <thead>
                        <tr>
                            <th></th>
                            <th colspan="7">CasaVue Member Package Pricing @Html.DropDownListFor(m => m.Package, new SelectList(
                                                  new List<Object>{ 
                                                    new { value="", text = "Select a Package" },
                                                    new { value="Bronze", text = "Entry Level Bronze Member" },
                                                    new { value="Silver", text = "Premium Silver Member" },
                                                    new { value="Gold", text = "Supreme Gold Member" },
                                                    },
                                                  "value",
                                                  "text",
                                                   2), new { @class = "form-control", @placeholder = "Expiration Year" })</th>
                        </tr>
                        <tr>
                            <th>Solutions</th>
                            <th colspan="2">Entry Level Bronze Member</th>
                            <th colspan="2">Premium Silver Member</th>
                            <th colspan="2">Supreme Gold Member</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Unique Vue Code [vue0000001]</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Fully integrated SMS (Text) Marketing</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Virtual Lawn Sign (fully integrated social media marketing)</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Fully customizable unique website (www.CasaVue.com/vue0000001)</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Online Buyer and Sellers Resources</td>
                            <td style="width: 3%">@Html.CheckBox("Optional", true, new { disabled = "disabled" })</td>
                            <td>Limited Seller Only</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td>Full Unlimited Access</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td>Full Unlimited Access</td>
                        </tr>
                        <tr>
                            <td>Our Verified Network</td>
                            <td style="width: 3%">X</td>
                            <td>No Access</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td>Full Unlimited Access</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td>Full Unlimited Access</td>
                        </tr>
                        <tr>
                            <td>Sellers Privacy Protection</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.PrivacyBronze, new { @id = "PrivacyBronze" })</td>
                            <td>Optional $9.95/Weekly</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Standard Lawn Sign</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.LawnSignBronze, new { @id = "LawnSignBronze" })</td>
                            <td>Optional $75+Shipping</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Durable Sign</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.DurableBronze, new { @id = "DurableBronze" })</td>
                            <td>Optional $125+Shipping</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.DurableSilver, new { @id = "DurableSilver" })</td>
                            <td>Optional $125+Shipping</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong> (and installed within service area)</td>
                        </tr>
                        <tr>
                            <td>Ad Agent</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.AdAgentBronze, new { @id = "AdAgentBronze" })</td>
                            <td>Optional $199.95</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.AdAgentSilver, new { @id = "AdAgentSilver" })</td>
                            <td>Optional $199.95</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong></td>
                        </tr>
                        <tr>
                            <td>Seller Executive Assistant</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.AssistantBronze, new { @id = "AssistantBronze" })</td>
                            <td>Optional $49.95/Weekly</td>
                            <td style="width: 3%">@Html.CheckBoxFor(m => m.AssistantSilver, new { @id = "AssistantSilver" })</td>
                            <td>Optional $49.95/Weekly</td>
                            <td style="width: 3%">@Html.CheckBox("Included", true, new { disabled = "disabled" })</td>
                            <td><strong>Included</strong> 1st 2 weeks</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td style="width: 3%"></td>
                            <td></td>
                            <td style="width: 3%"></td>
                            <td></td>
                            <td style="width: 3%"></td>
                            <td></td>
                        </tr>
                        <tr>
                            <td></td>
                            <td style="width: 3%"></td>
                            <td><strong>$49.95/Monthly</strong></td>
                            <td style="width: 3%"></td>
                            <td><strong>$299.95/One-Time</strong></td>
                            <td style="width: 3%"></td>
                            <td><strong>$599.95/One-Time</strong></td>
                        </tr>
                    </tbody>
                </table>
                 
                <input type="submit" value="Proceed" id="packageButton" class="btn btn-primary btn-lg" />
            }

        </div>
    </div>
</div>
